Package org.springframework.web.servlet.mvc.method.annotation

# Interface MvcUriComponentsBuilder.MethodInvocationInfo

Enclosing class:
  MvcUriComponentsBuilder

public static interface MvcUriComponentsBuilder.MethodInvocationInfo
Method invocation information.

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getArgumentValues()`
Return the argument values.
`Method`
`getControllerMethod()`
Return the controller method.
`Class<?>`
`getControllerType()`
Return the controller types.

## Method Details

### getControllerType

Class<?> getControllerType()
Return the controller types.

### getControllerMethod

Method getControllerMethod()
Return the controller method.

### getArgumentValues

Object[] getArgumentValues()
Return the argument values.